diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
index b3f7873..de4b754 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
@@ -1249,27 +1189,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Khouribga
+    // Berrechid
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Khouribga">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Berrechid">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Khouribga</rdfs:label>
-      <skos:definition>The province of Khouribga in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Chaouia-Ouardigha"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Khouribga</lcc-cr:hasLocalShortName>
+      <rdfs:label>Berrechid</rdfs:label>
+      <skos:definition>The province of Berrechid in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Berrechid</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-KHO">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BRR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Khouribga in the country of Morocco</skos:definition>
-      <rdfs:label>MA-KHO</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-KHO</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Khouribga"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Khouribga"/>
+      <skos:definition>subdivision code for the province of Berrechid in the country of Morocco</skos:definition>
+      <rdfs:label>MA-BRR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BRR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Berrechid"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Berrechid"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1279,27 +1219,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Settat
+    // Sidi Bennour
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Settat">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;SidiBennour">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Settat</rdfs:label>
-      <skos:definition>The province of Settat in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Chaouia-Ouardigha"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Settat</lcc-cr:hasLocalShortName>
+      <rdfs:label>Sidi Bennour</rdfs:label>
+      <skos:definition>The province of Sidi Bennour in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Sidi Bennour</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SET">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SIB">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Settat in the country of Morocco</skos:definition>
-      <rdfs:label>MA-SET</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SET</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Settat"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Settat"/>
+      <skos:definition>subdivision code for the province of Sidi Bennour in the country of Morocco</skos:definition>
+      <rdfs:label>MA-SIB</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SIB</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;SidiBennour"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;SidiBennour"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1309,87 +1249,87 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ben Slimane
+    // Sidi Kacem
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;BenSlimane">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;SidiKacem">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ben Slimane</rdfs:label>
-      <skos:definition>The province of Ben Slimane in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Chaouia-Ouardigha"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Ben Slimane</lcc-cr:hasLocalShortName>
+      <rdfs:label>Sidi Kacem</rdfs:label>
+      <skos:definition>The province of Sidi Kacem in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Sidi Kacem</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BES">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SIK">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Ben Slimane in the country of Morocco</skos:definition>
-      <rdfs:label>MA-BES</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BES</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;BenSlimane"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;BenSlimane"/>
+      <skos:definition>subdivision code for the province of Sidi Kacem in the country of Morocco</skos:definition>
+      <rdfs:label>MA-SIK</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SIK</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;SidiKacem"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;SidiKacem"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Gharb-Chrarda-Beni Hssen
+    // Médiouna
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Gharb-Chrarda-BeniHssen">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Mediouna">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Gharb-Chrarda-Beni Hssen</rdfs:label>
-      <skos:definition>The region of Gharb-Chrarda-Beni Hssen in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Gharb-Chrarda-Beni Hssen</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
+      <rdfs:label>Médiouna</rdfs:label>
+      <skos:definition>The province of Médiouna in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Médiouna</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-02">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MED">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Gharb-Chrarda-Beni Hssen in the country of Morocco</skos:definition>
-      <rdfs:label>MA-02</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-02</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Gharb-Chrarda-BeniHssen"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Gharb-Chrarda-BeniHssen"/>
+      <skos:definition>subdivision code for the province of Médiouna in the country of Morocco</skos:definition>
+      <rdfs:label>MA-MED</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MED</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Mediouna"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Mediouna"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kénitra
+    // Mohammadia
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Kenitra">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Mohammadia">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kénitra</rdfs:label>
-      <skos:definition>The province of Kénitra in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Gharb-Chrarda-BeniHssen"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Kénitra</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:label>Mohammadia</rdfs:label>
+      <skos:definition>The prefecture of Mohammadia in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Casablanca-Settat"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Mohammadia</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-KEN">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MOH">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Kénitra in the country of Morocco</skos:definition>
-      <rdfs:label>MA-KEN</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-KEN</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Kenitra"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Kenitra"/>
+      <skos:definition>subdivision code for the prefecture of Mohammadia in the country of Morocco</skos:definition>
+      <rdfs:label>MA-MOH</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MOH</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Mohammadia"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Mohammadia"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
